<div class="mat-elevation-z8">
  <table mat-table [dataSource]="dataSource">
    <ng-container matColumnDef="position">
      <th math-header-cell *matHeaderCellDef>No.</th>
      <td mat-cell *matCellDef="let note">{{ note.id }}</td>
    </ng-container>

    <ng-container matColumnDef="title">
      <th math-header-cell *matHeaderCellDef>Title</th>
      <td mat-cell *matCellDef="let note">{{ note.title }}</td>
    </ng-container>

    <ng-container matColumnDef="date">
      <th math-header-cell *matHeaderCellDef>Date</th>
      <td mat-cell *matCellDef="let note">
        {{ note.date | date: "yyy-MM-dd" }}
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
  </table>

  <mat-paginator
    [pageSizeOptions]="pageSizeOptions"
    [pageSize]="pageSize"
    showFirstLastButtons
  ></mat-paginator>
</div>
